//
//  MapViewController.h
//  AustralianPostcodes
//
//  Created by Matt Gallagher on 2009/12/07.
//  Copyright 2009 Matt Gallagher. All rights reserved.
//
//  Permission is given to use this source code file, free of charge, in any
//  project, commercial or otherwise, entirely at your risk, with the condition
//  that any redistribution (in part or whole) of source code must retain
//  this copyright and permission notice. Attribution in compiled projects is
//  appreciated but not required.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>

@class Postcode;

@interface MapViewController : UIViewController <CLLocationManagerDelegate>
{
	Postcode *postcode;
	IBOutlet UILabel *postcodeView;
	IBOutlet UILabel *suburbView;
	IBOutlet UILabel *stateView;
	IBOutlet UILabel *postOfficeView;
	IBOutlet MKMapView *mapView;
	CLLocationManager *locationManager;
}

- (id)initWithPostcode:(Postcode *)aPostcode;

@end
